
QGIS Application - Bug report #20369

Crash on Zoom with compressed ESRI File GDB data

2018-11-05 04:50 PM - Josef Mayer

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:3.4.1 Regression?: No

Operating System: Windows 8.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 28189

Description

User Feedback

We have loaded and visualized some large layers (OSM polygons, lines and points of Germany, EPSG:3857) out of a compressed ESRI

File GDB (V. 10.1) in QGIS 3.4.1. Styling is saved to a qlr-File, which is loaded into QGIS. While Zooming in or out, QGIS crashes.

QGIS and FileGDBAPI driver have been installed via OSGeo4W with versions below, but also with previous versions of QGIS 3 this

behaviour was present. With the File GDB uncompressed, the issue is not present. But as we work very much with compressed ESRI File

GDB, this issue is very critical for us.

Report Details

Crash ID: 255ef44e080fe0bca7b2275e27d55e0bfe514eb3

Stack Trace

FileGDBAPI::SpatialReferences::FindSpatialReferenceByName :

FileGDBAPI::SpatialReferences::FindSpatialReferenceByName :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.3.9600

History

#1 - 2018-11-05 05:35 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Try with a new/clean profile (no 3rd party plugins)?

Attach/link the project with the data.
#2 - 2018-11-05 10:12 PM - Nyall Dawson

Likely an issue in the ESRI FileGDBAPI sdk or gdal's driver, not qgis. Try with the openfilegdb driver instead.

Unfortunately gdbs remain one of the worst formats for use outside of the ESRI ecosystem, and I'd strongly recommend exploring alternative formats.

#3 - 2019-02-11 04:25 AM - Nyall Dawson

- Resolution set to up/downstream

- Status changed from Feedback to Closed
